Skip to main content
GET
/
accounts
List accounts
curl --request GET \
  --url https://api.finta.io/v2/accounts \
  --header 'Authorization: Bearer <token>'
{
  "accounts": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "providerAccountId": "<string>",
      "bankConnectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "provider": "plaid",
      "institutionName": "<string>",
      "name": "<string>",
      "mask": "<string>",
      "type": "<string>",
      "subtype": "<string>",
      "currency": "<string>",
      "currentBalance": 123,
      "availableBalance": 123,
      "balanceAsOf": "2023-11-07T05:31:56Z",
      "closedAt": "2023-11-07T05:31:56Z",
      "liability": {
        "minimumPaymentAmount": 123,
        "nextPaymentDueDate": "2023-12-25",
        "lastPaymentAmount": 123,
        "lastPaymentDate": "2023-12-25",
        "interestRate": 123,
        "isOverdue": true,
        "lastStatementBalance": 123,
        "aprs": [
          {
            "aprType": "<string>",
            "aprPercentage": 123,
            "balanceSubjectToApr": 123,
            "interestChargeAmount": 123
          }
        ],
        "loanName": "<string>",
        "loanStatus": {
          "type": "<string>",
          "endDate": "2023-12-25"
        },
        "repaymentPlan": {
          "type": "<string>",
          "description": "<string>"
        },
        "pslfStatus": {
          "paymentsRemaining": 123,
          "paymentsMade": 123,
          "estimatedEligibilityDate": "2023-12-25"
        },
        "originationDate": "2023-12-25",
        "originationPrincipalAmount": 123,
        "expectedPayoffDate": "2023-12-25",
        "outstandingInterestAmount": 123,
        "ytdInterestPaid": 123,
        "ytdPrincipalPaid": 123,
        "nextMonthlyPayment": 123,
        "escrowBalance": 123,
        "hasPmi": true,
        "hasPrepaymentPenalty": true,
        "propertyAddress": {
          "street": "<string>",
          "city": "<string>",
          "region": "<string>",
          "postalCode": "<string>",
          "country": "<string>"
        },
        "loanTypeDescription": "<string>",
        "maturityDate": "2023-12-25",
        "pastDueAmount": 123
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Finta API key from the dashboard (Bearer token).

Query Parameters

bankConnectionId
string<uuid>

Filter by bank connection ID

status
enum<string>
default:active

Filter by account lifecycle. active (default) returns open accounts on non-disabled connections.

Available options:
active,
closed,
disconnected,
all
type
string

Filter by account type

Response

Accounts for the authenticated user

accounts
object[]
required